GDB (xrefs)

Public Attributes | List of all members
arm_linux_debug_reg_state Struct Reference

## Public Attributes
struct arm_linux_hw_breakpoint | bpts [MAX_BPTS]
struct arm_linux_hw_breakpoint | wpts [MAX_WPTS]

## Detailed Description

Definition at line 710 of file arm-linux-nat.c.

## Member Data Documentation

## ◆ bpts

struct arm_linux_hw_breakpoint arm_linux_debug_reg_state::bpts[MAX_BPTS]

Definition at line 713 of file arm-linux-nat.c.

Referenced by arm_linux_insert_hw_breakpoint1(), arm_linux_prepare_to_resume(), and arm_linux_remove_hw_breakpoint1().

## ◆ wpts

struct arm_linux_hw_breakpoint arm_linux_debug_reg_state::wpts[MAX_WPTS]

Definition at line 715 of file arm-linux-nat.c.

Referenced by arm_linux_insert_hw_breakpoint1(), arm_linux_prepare_to_resume(), and arm_linux_remove_hw_breakpoint1().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/arm-linux-nat.c